<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/ContasModel.php';
require_once '../Class/controller/ContasControl.php';

$control = new ContasControl();
$model = new ContasModel();

$control->setDel();

$del = $control->getDel();

if ($del > 0)
{
	$model->setId($del);
	$model->delete();
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
	
		<title>Módulo Financeiro</title>
		
		<?php include_once('controls/import.php'); ?>
	
	</head>
<body>
	
	<?php include_once('controls/header.php'); ?>

	<div class="content">
	
		<div class="form">
		
		<?php include_once('controls/menu.php'); ?>
			
			<div id="conteudo-site">
			
				<div class="titulo-conteudo-site">
					<img src="images/applications.png" title="" alt="" /> Contas  
				</div>
				
		        <div class="pg-botoes" style="float: right;">
		        	<a href="cadcontas.php" class="submit"> cadastrar </a>
		        </div>
					<br clear="all"/>
						<table border="0" cellpadding="3" cellspacing="0" class="gridPesquisa fundoGridPesquisa" width="100%">
						    <tr>
						    	<th>Id</th>
						    	<th>Número</th>
                                                        <th>Reduzida</th>
						    	<th>Grupo</th>
						    	<th>Nome</th>
						    	<th>Ordem</th>
						    	<th></th>
						    </tr>
<?php

	foreach ($model->listAll() as $item) {

		echo "<tr>";
		echo "<td> <a href='cadcontas.php?id={$item->getId()}'> {$item->getId()} </a></td>";
		echo "<td> <a href='cadcontas.php?id={$item->getId()}'> {$item->getNumero()} </a></td>";
                echo "<td> <a href='cadcontas.php?id={$item->getId()}'> {$item->getNumContaReduzida()} </a></td>";
		echo "<td> <a href='cadcontas.php?id={$item->getId()}'> {$control->LoadGrupoById($item->getGrupo())} </a></td>";
		echo "<td> <a href='cadcontas.php?id={$item->getId()}'> {$item->getNome()} </a></td>";
		echo "<td> <a href='cadcontas.php?id={$item->getId()}'> {$item->getOrdem()} </a></td>";
		echo "<td> <a href='contas.php?del={$item->getId()}' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	}

	?>
</table>
			</div>
			
		</div>
		
	</div>
	
	<?php include_once('controls/footer.php'); ?>
	
</body>
</html>
